<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="d259d31f-ab54-49c7-a2ae-ac12824a2f0e" name="Default" comment="">
      <change afterPath="$PROJECT_DIR$/.idea/vcs.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/ann/demo/utils/XMLUtils.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/ann/demo/utils/XMLUtils.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/service/AnalysisService.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1764">
              <caret line="110" selection-start-line="110" selection-end-line="110" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/entity/interfaceEntity/MessageLog.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1974">
              <caret line="98" selection-start-line="98" selection-end-line="98" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/entity/constant/InterfaceName.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2457">
              <caret line="117" column="74" selection-start-line="117" selection-start-column="57" selection-end-line="117" selection-end-column="74" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/entity/constant/WebserviceId.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1764">
              <caret line="84" column="56" selection-start-line="84" selection-start-column="46" selection-end-line="84" selection-end-column="56" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/resources/application.yml">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/utils/XMLUtils.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="306">
              <caret line="64" selection-start-line="64" selection-end-line="64" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/interfaces/impl/HomepageDictionaryImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="588">
              <caret line="37" selection-start-line="37" selection-end-line="37" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>examApplyEstablishPath</find>
      <find>applyEstablishPath</find>
      <find>urn:hl7-org:v3</find>
      <find>PARAMETER_EXAMAPPLY</find>
      <find>simpleDateFormat</find>
      <find>messageDto.getVisitId()</find>
      <find>VerificationExamApplyRequest</find>
      <find>检查申请单</find>
      <find>PARAMETER_EXAMAPPLYSTATECHANGE</find>
      <find>detailType</find>
      <find>getArchiveMasterId</find>
      <find>PARAMETER_VERIFICATIONEXAMAPPLY</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/service/ExamApplyService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/service/impl/MessageServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/service/MessageService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/entity/constant/AliasName.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/entity/interfaceEntity/ExamApply.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/entity/interfaceEntity/WebServiceInfo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/entity/interfaceEntity/UltrasonicReport.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/entity/filing/dto/MessageDto.java" />
        <option value="$PROJECT_DIR$/src/main/resources/templates/demo.html" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/repository/MessageRepository.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/repository/ExamApplyRepository.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/service/impl/ExamApplyServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/entity/filing/WebserviceInfo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/entity/constant/WebServiceInfoMap.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/entity/constant/InterfaceName.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/interfaces/impl/HomepageDictionaryImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/entity/constant/WebserviceId.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/entity/interfaceEntity/MessageLog.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/service/AnalysisService.java" />
        <option value="$PROJECT_DIR$/src/main/resources/application.yml" />
        <option value="$PROJECT_DIR$/src/main/java/com/ann/demo/utils/XMLUtils.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="localRepository" value="D:\DemoRepository" />
        <option name="mavenHome" value="D:/Program Files/apache-maven-3.5.2" />
        <option name="userSettingsFile" value="D:\Program Files\apache-maven-3.5.2\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="demo" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="demo" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="7">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1382" />
    <option name="height" value="744" />
  </component>
  <component name="ProjectId" id="1Tof9Hp6rg0n2zGSskwBWjTzSVr" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="ann" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="ann" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="ann" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="ann" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="entity" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="ann" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="entity" type="462c0819:PsiDirectoryNode" />
              <item name="constant" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="ann" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="entity" type="462c0819:PsiDirectoryNode" />
              <item name="filing" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="ann" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="entity" type="462c0819:PsiDirectoryNode" />
              <item name="filing" type="462c0819:PsiDirectoryNode" />
              <item name="dto" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="ann" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="entity" type="462c0819:PsiDirectoryNode" />
              <item name="interfaceEntity" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="ann" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="interfaces" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="ann" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="interfaces" type="462c0819:PsiDirectoryNode" />
              <item name="impl" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="ann" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="repository" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="ann" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="ann" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
              <item name="impl" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="ann" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="utils" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ExamReportInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="ExamReportInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="templates" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelOrder2" value="2" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="RequestMappingsPanelWidth2" value="75" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1590397678384" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../ScanningFile" />
    <property name="nodejs_interpreter_path" value="node" />
    <property name="settings.editor.selected.configurable" value="MavenSettings" />
  </component>
  <component name="RecentsManager">
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="com.ann.demo" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.ann.demo.entity.constant" />
      <recent name="com.ann.demo.entity.filing" />
      <recent name="com.ann.demo.entity.interfaceEntity" />
      <recent name="com.ann.demo.repository" />
      <recent name="com.ann.demo.service.impl" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\2019Project\ExamReportInterface\src\main\resources" />
      <recent name="E:\2019Project\ExamReportInterface\src\main\java\com\ann\demo\entity\other" />
      <recent name="E:\2019Project\ExamReportInterface\src\main\java\com" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Applet" factoryName="Applet">
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="DemoApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="ExamReportInterface" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.ann.demo.DemoApplication" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="UPDATE_ACTION_UPDATE_POLICY" value="UpdateClassesAndResources" />
      <option name="FRAME_DEACTIVATION_UPDATE_POLICY" value="UpdateClassesAndResources" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType" factoryName="Plugin">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
      <option name="PROGRAM_PARAMETERS" />
      <predefined_log_file id="idea.log" enabled="true" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="d259d31f-ab54-49c7-a2ae-ac12824a2f0e" name="Default" comment="" />
      <created>1571219385371</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1571219385371</updated>
      <workItem from="1571219387061" duration="798000" />
      <workItem from="1571825863103" duration="2123000" />
      <workItem from="1572421326463" duration="1566000" />
      <workItem from="1572423057023" duration="508000" />
      <workItem from="1572486032746" duration="1267000" />
      <workItem from="1572505244334" duration="2866000" />
      <workItem from="1572577883771" duration="2958000" />
      <workItem from="1572596455538" duration="4816000" />
      <workItem from="1572831384469" duration="2857000" />
      <workItem from="1572850422233" duration="578000" />
      <workItem from="1572916706386" duration="1258000" />
      <workItem from="1572937590560" duration="1435000" />
      <workItem from="1572945415937" duration="576000" />
      <workItem from="1573522989088" duration="2588000" />
      <workItem from="1573702364999" duration="1455000" />
      <workItem from="1573717108344" duration="1520000" />
      <workItem from="1573782930653" duration="1207000" />
      <workItem from="1574131217654" duration="1585000" />
      <workItem from="1574147460706" duration="1155000" />
      <workItem from="1574212324198" duration="964000" />
      <workItem from="1574308753491" duration="243000" />
      <workItem from="1574756253767" duration="6697000" />
      <workItem from="1575429651187" duration="1807000" />
      <workItem from="1575451357595" duration="589000" />
      <workItem from="1575855853697" duration="2392000" />
      <workItem from="1576029014704" duration="2662000" />
      <workItem from="1582787103742" duration="3771000" />
      <workItem from="1582872678522" duration="669000" />
      <workItem from="1583199647354" duration="10282000" />
      <workItem from="1583285781841" duration="660000" />
      <workItem from="1583370887400" duration="4000" />
      <workItem from="1583394062771" duration="1200000" />
      <workItem from="1583459837496" duration="4848000" />
      <workItem from="1583675593623" duration="1447000" />
      <workItem from="1583715875849" duration="2691000" />
      <workItem from="1583828519402" duration="1358000" />
      <workItem from="1583887688346" duration="568000" />
      <workItem from="1583972675112" duration="1467000" />
      <workItem from="1584058047189" duration="584000" />
      <workItem from="1584930903650" duration="2464000" />
      <workItem from="1585008783970" duration="595000" />
      <workItem from="1585051805977" duration="3458000" />
      <workItem from="1585194887270" duration="4385000" />
      <workItem from="1585271690754" duration="3460000" />
      <workItem from="1585614320398" duration="285000" />
      <workItem from="1586914289427" duration="4732000" />
      <workItem from="1587354986219" duration="1438000" />
      <workItem from="1587455231100" duration="1001000" />
      <workItem from="1587514261950" duration="3266000" />
      <workItem from="1587701105831" duration="2017000" />
      <workItem from="1587865742433" duration="594000" />
      <workItem from="1587952827191" duration="1772000" />
      <workItem from="1588123844036" duration="690000" />
      <workItem from="1588207258234" duration="65000" />
      <workItem from="1588900007834" duration="27000" />
      <workItem from="1588927419097" duration="5925000" />
      <workItem from="1588984277576" duration="5312000" />
      <workItem from="1590140804950" duration="830000" />
      <workItem from="1590366135127" duration="1803000" />
      <workItem from="1590452700020" duration="703000" />
      <workItem from="1590491724776" duration="2422000" />
      <workItem from="1590625946890" duration="591000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="77384000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.30408472" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Favorites" order="5" side_tool="true" />
      <window_info id="Capture Tool" order="6" />
      <window_info id="Web" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.46644846" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.09165303" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Spring" order="7" />
      <window_info anchor="bottom" id="Terminal" order="8" />
      <window_info anchor="bottom" id="Event Log" order="9" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="10" weight="0.0801964" />
      <window_info anchor="bottom" id="Java Enterprise" order="11" />
      <window_info anchor="bottom" id="Database Changes" order="12" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="13" show_stripe_button="false" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Maven Projects" order="5" weight="0.32980332" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Bean Validation" order="9" weight="0.32980332" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://D:/DemoRepository/org/apache/cxf/cxf-core/3.2.5/cxf-core-3.2.5.jar!/org/apache/cxf/service/invoker/AbstractInvoker.class</url>
          <line>74</line>
          <properties />
          <option name="timeStamp" value="6" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/ann/demo/utils/XMLUtils.java</url>
          <line>160</line>
          <properties />
          <option name="timeStamp" value="8" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/ann/demo/interfaces/impl/HomepageDictionaryImpl.java</url>
          <line>33</line>
          <properties />
          <option name="timeStamp" value="12" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/ann/demo/service/AnalysisService.java</url>
          <line>62</line>
          <properties />
          <option name="timeStamp" value="13" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/service/ExamApplyService.java">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$USER_HOME$/Desktop/QueueService.class" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/controller/TestController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="63">
          <caret line="12" selection-start-line="12" selection-end-line="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/controller/InterfaceForm.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="189">
          <caret line="9" column="13" selection-start-line="9" selection-start-column="13" selection-end-line="9" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/service/impl/MessageSubordinateServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="462">
          <caret line="28" column="31" selection-start-line="28" selection-start-column="31" selection-end-line="28" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/utils/DateUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="189">
          <caret line="16" column="13" selection-start-line="16" selection-start-column="13" selection-end-line="16" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/interfaces/HomepageDictionary.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="126">
          <caret line="8" selection-start-line="8" selection-end-line="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/entity/interfaceEntity/WebServiceInfo.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/entity/constant/AliasName.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="98">
          <caret line="53" column="61" selection-start-line="53" selection-start-column="31" selection-end-line="53" selection-end-column="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/entity/filing/dto/MessageDto.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="12" column="13" selection-start-line="12" selection-start-column="13" selection-end-line="12" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/entity/interfaceEntity/ExamApply.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="924">
          <caret line="49" column="7" selection-start-line="49" selection-start-column="7" selection-end-line="49" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/templates/demo.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="219">
          <caret line="18" column="21" selection-start-line="18" selection-start-column="21" selection-end-line="18" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/entity/interfaceEntity/UltrasonicReport.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="302">
          <caret line="60" column="33" selection-start-line="60" selection-start-column="33" selection-end-line="60" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/repository/MessageSubordinateRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="12" column="17" selection-start-line="12" selection-start-column="17" selection-end-line="12" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/service/impl/ExamApplyServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="336">
          <caret line="22" selection-start-line="22" selection-end-line="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/repository/ArchiveMasterRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="14" column="62" selection-start-line="14" selection-start-column="62" selection-end-line="14" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/service/MessageService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="441">
          <caret line="23" column="29" selection-start-line="23" selection-start-column="11" selection-end-line="23" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/repository/ExamApplyRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="399">
          <caret line="24" column="70" selection-start-line="24" selection-start-column="21" selection-end-line="24" selection-end-column="70" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/entity/filing/WebserviceInfo.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="96">
          <caret line="9" lean-forward="true" selection-start-line="9" selection-end-line="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/service/impl/MessageServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="159">
          <caret line="41" column="13" lean-forward="true" selection-start-line="41" selection-start-column="13" selection-end-line="41" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/repository/MessageRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="159">
          <caret line="14" column="11" lean-forward="true" selection-start-line="14" selection-start-column="11" selection-end-line="14" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/entity/constant/WebServiceInfoMap.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="315">
          <caret line="24" column="62" selection-start-line="24" selection-start-column="62" selection-end-line="24" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/service/AnalysisService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1764">
          <caret line="110" selection-start-line="110" selection-end-line="110" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/entity/interfaceEntity/MessageLog.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1974">
          <caret line="98" selection-start-line="98" selection-end-line="98" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/entity/constant/InterfaceName.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2457">
          <caret line="117" column="74" selection-start-line="117" selection-start-column="57" selection-end-line="117" selection-end-column="74" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/entity/constant/WebserviceId.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1764">
          <caret line="84" column="56" selection-start-line="84" selection-start-column="46" selection-end-line="84" selection-end-column="56" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application.yml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/interfaces/impl/HomepageDictionaryImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="588">
          <caret line="37" selection-start-line="37" selection-end-line="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ann/demo/utils/XMLUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="64" selection-start-line="64" selection-end-line="64" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>